﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFThemesTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			comboBox.ItemsSource = new string[] { "item1", "item2", "item3"};
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			Application.Current.Resources.MergedDictionaries.Clear();
			Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
			{
				Source = new Uri("Themes/ExpressionDark/System.Windows.xaml", UriKind.RelativeOrAbsolute)
			});
			Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
			{
				Source = new Uri("Themes/ExpressionDark/Telerik.Windows.Controls.xaml", UriKind.RelativeOrAbsolute)
			});
			Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
			{
				Source = new Uri("Themes/ExpressionDark/Telerik.Windows.Controls.Input.xaml", UriKind.RelativeOrAbsolute)
			});
		}

		private void Button_Click_1(object sender, RoutedEventArgs e)
		{
			Application.Current.Resources.MergedDictionaries.Clear();
			Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
			{
				Source = new Uri("Themes/Transparent/System.Windows.xaml", UriKind.RelativeOrAbsolute)
			});
			Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
			{
				Source = new Uri("Themes/Transparent/Telerik.Windows.Controls.xaml", UriKind.RelativeOrAbsolute)
			});
			Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
			{
				Source = new Uri("Themes/Transparent/Telerik.Windows.Controls.Input.xaml", UriKind.RelativeOrAbsolute)
			});
		}
	}
}
